Package org.kapott.hbci.exceptions

## Class CanNotParseMessageException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.kapott.hbci.exceptions.HBCI_Exception
        - - org.kapott.hbci.exceptions.CanNotParseMessageException

All Implemented Interfaces:
  `java.io.Serializable`

    public final class CanNotParseMessageException
    extends HBCI_Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
`CanNotParseMessageException​(java.lang.String txt, java.lang.String message, java.lang.Exception e)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMessage()`

### Methods inherited from class org.kapott.hbci.exceptions.HBCI_Exception

`applyLogFilter, isFatal, setFatal`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CanNotParseMessageException

    public CanNotParseMessageException​(java.lang.String txt,
                                       java.lang.String message,
                                       java.lang.Exception e)

### Method Detail

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `java.lang.Throwable`
See Also:
  `Throwable.getMessage()`